%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-klotski
Version:	3.38.2
Release:	%mkrel 1
Summary:	GNOME Klotski game
License:	GPLv2+ and GFDL
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Klotski
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(vapigen)
Obsoletes:	gnotski
# For help
Requires:	yelp

%description
A series of sliding block puzzles. Try and solve them in the least number of
moves.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Klotski.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Klotski.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.Klotski*.*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Klotski.appdata.xml
%{_datadir}/help
%{_datadir}/dbus-1/services/org.gnome.Klotski.service

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot


%changelog
* Mon Nov 23 2020 tex - 3.38.2-1pclos2020
- new version

* Sat Oct 03 2020 tex - 3.38.1-1pclos2020
- new version

* Mon Sep 14 2020 tex - 3.38.0-1pclos2020
- new version

* Sun May 31 2020 tex - 3.36.3-1pclos2020
- new version

* Tue Jan 07 2020 tex - 3.34.3-1pclos2020
- new version

* Tue Sep 10 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
